API ReferenceapibookingGET /v1/providers

GET /v1/providers

Service: booking · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • brand_id (string) required

Responses

200 List of providers

{
  "type": "object",
  "properties": {
    "providers": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "credentials": {
            "type": [
              "string",
              "null"
            ]
          },
          "specialty": {
            "type": [
              "string",
              "null"
            ]
          },
          "timezone": {
            "type": "string"
          },
          "active": {
            "type": "boolean"
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "brand_id",
          "name",
          "credentials",
          "specialty",
          "timezone",
          "active",
          "created_at",
          "updated_at"
        ]
      }
    }
  },
  "required": [
    "providers"
  ]
}

Example

curl -X GET https://booking.platform.loop.health/v1/providers \
  -H "Authorization: Bearer $ACCESS_TOKEN"